Index: sansmodels/README.txt
===================================================================
--- sansmodels/README.txt	(revision 6cdd07c47793958a859e1e21c3906f0bc95976d8)
+++ 	(revision )
@@ -1,26 +1,0 @@
-################################################################################
-#This software was developed by the University of Tennessee as part of the
-#Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-#project funded by the US National Science Foundation. 
-#
-#See the license text in license.txt
-#
-#copyright 2008, University of Tennessee
-################################################################################
-
-
-How-to build an application using guiframe:
-
-1- Write a main application script along the lines of dummyapp.py
-2- Write a config script along the lines of config.py, and 
-    name it local_config.py
-3- Write your plug-ins and place them in a directory called "perspectives".
-    - Look at local_perspectives/plotting for an example of a plug-in.
-    - A plug-in should define a class named Plugin,
-    	 inheriting from PluginBase in plugin_base.py
-    
-4- each panel used in guiframe must inheritation from PanelBase in panel_base.py
-
-Sansmodels contains the various functions necessary for each model
-that is provided in Sansview, along with the C extensions that perform
-the calcullations for those models.
Index: sansmodels/release_notes.txt
===================================================================
--- sansmodels/release_notes.txt	(revision 77dc37331fe51deacf90e51f7d03a4bacbdfe5ec)
+++ 	(revision )
@@ -1,43 +1,0 @@
-First cut at a GUI framework for SANS applications. 
-
-Modules should be put in the "perspectives" directory
-of their main application when using this framework.
-
-Documentation to come...
-
-1- Version 0.1.7
-
-	- Release date: 7/4/2009
-
-   Version 0.1.5
-
-	- Release date: 4/21/2009
-
-	- Changes:
-		* the Plugin.get_context_menu(graph) now takes a Graph object
-
-Dependencies:
-	- svn://danse.us/common/releases/plottools-0.1.6 
-	- svn://danse.us/sans/releases/guicomm-0.1.2
-	
-To-do list:
-	- Clean up about box
-	- Clean up the _find_plugins() function to allow user-defined directory
-	- Modify the get_context_menu() function to allow a plug-in to recognize
-		its own plots.
-	- Provide a hook for a general file loader for the various data formats
-	- Add group flag to allow groups of plots (and exclude other plots with
-		same units to be plotted in the same Graph. [DONE]
-	- If there is only one perspective, drop the perspective menu.
-	- If there is only one panel in the Panel menu, drop the menu.
-	- Make legend transparent
-	- Make sure that when a plottable is sent a second time for update, that we replace the lables too!
-	- Add help menu entry for each module	
-	- Put debug info in log file, because we can't access it from a py2exe executable
-	- Allow the application to load perspectives by hand. Then the automatic loading is only
-	  for additionally installed plug-ins.
-	- Fix the damned images directory folder...
-	- Allow user to remove a plottable from a graph (from code!)
-	- Allow perspectives to recognize their own plots and add context menu items.
-	- Catch error when trying to show log of negative or zero plots... update status bar.
-	
Index: sansmodels/setup.py
===================================================================
--- sansmodels/setup.py	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/setup.py	(revision 592cb15644b32f9f1ae7139c53b6b004df6548e9)
@@ -12,4 +12,11 @@
 from distutils.core import Extension, setup
 from distutils.command.build_ext import build_ext
+
+# Manage version number ######################################
+sys.path.append(os.path.join("src", "sans"))
+import models
+VERSION = models.__version__
+print "Building models v%s" % VERSION
+##############################################################
 
 # Options to enable OpenMP
@@ -53,5 +60,6 @@
 smear_dir  = os.path.join("src", "c_smearer")
 wrapper_dir  = os.path.join("src", "python_wrapper", "generated")
-print "Installing SANS models"
+if not os.path.isdir(wrapper_dir):
+    os.makedirs(wrapper_dir)
 
 sys.path.append(os.path.join("src", "python_wrapper"))
@@ -101,9 +109,9 @@
 dist = setup(
     name="sansmodels",
-    version = "1.0.0",
+    version = VERSION,
     description = "Python module for SANS scattering models",
     author = "SANS/DANSE",
     author_email = "sansdanse@gmail.gov",
-    url = "http://danse.us/trac/sans",
+    url = "http://sansviewproject.svn.sourceforge.net",
     
     # Place this module under the sans package
@@ -113,5 +121,5 @@
     package_dir = {"sans":os.path.join("src", "sans"),
                    "sans.models":os.path.join("src", "sans", "models"),
-                   "sans.models.sans_extension":includedir,
+                   "sans.models.sans_extension":os.path.join("src", "sans", "models", "sans_extension"),
                   },
     package_data={'sans.models': [os.path.join('media', "*")]},
Index: sansmodels/src/sans/models/__init__.py
===================================================================
--- sansmodels/src/sans/models/__init__.py	(revision 0abf7bf37070c95d946c2656a2e3ef5d902d0027)
+++ sansmodels/src/sans/models/__init__.py	(revision 592cb15644b32f9f1ae7139c53b6b004df6548e9)
@@ -2,78 +2,10 @@
     1D Modeling for SANS
 """
-## \mainpage Analytical Modeling for SANS
-#
-# \section intro_sec Introduction
-# This module provides theoretical models for the scattering 
-# intensity for SANS. 
-#
-# Documentation can be found here: 
-#    http://danse.us/trac/sans/wiki/8_2_2_1DModelFitting
-#    http://danse.us/trac/sans/wiki/8_2_3_2DModeling
-#
-# \section install_sec Installation
-#
-# \subsection obtain Obtaining the Code
-#
-# The code is available here:
-# \verbatim
-#$ svn co svn://danse.us/sans/sansmodels
-# \endverbatim
-#
-# \subsection depends External Dependencies
-# None
-#
-# \subsection build Building the code
-# The standard python package can be built with distutils.
-# \verbatim
-#$ python setup.py build
-#$ python setup.py install
-# \endverbatim
-#
-# \section overview_sec Package Overview
-# 
-# \subsection class Class Diagram:
-# \image html class_diag.png
-# Note that the CCylinderModel is written as C code. 
-# CylinderModel acts as an adaptor class for the C extension.
-# Most model classes will be written that way.
-#
-# \subsection behav Behavior enumeration for pyre-level architecture:
-# \image html behavior_pyre.png
-#
-# \subsection behav Behavior enumeration for under-lying architecture:
-# \image html behavior.jpg
-#
-# \subsection Tutorial
-# To create a model:
-# \verbatim
-#from sans.models.CylinderModel import CylinderModel
-#    cyl = CylinderModel()
-# \endverbatim
-#
-# To evaluate a model (at x=0.1 in this example):
-# \verbatim
-#    output = cyl.run(0.1)
-# \endverbatim
-#
-# To change a parameter:
-# \verbatim
-#    cyl.setParam('scale', 0.1)
-# \endverbatim
-#
-# To get the value of a parameter:
-# \verbatim
-#    cyl.getParam('scale')
-# \endverbatim
-#
-# Other examples are available as unit tests under sans.models.test.
-#
-# \section help_sec Contact Info
-# Code and Documentation by Mathieu Doucet as part of the DANSE project.
-#PLUGIN_ID = "models plug-in 0.4"
-from sans.models import *
+#from sans.models import *
 
 import os
 from distutils.filelist import findall
+
+__version__ = "1.1.0"
 
 def get_data_path(media):