Index: src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingWidgetTest.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingWidgetTest.py	(revision b764ae5882f084a8b74c7cf664276c13fb07c29e)
+++ src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingWidgetTest.py	(revision 605d944a69488f22ea74b9d65f595b664f5aae54)
@@ -262,6 +262,6 @@
         self.widget.cbModel.setCurrentIndex(0)
 
-        # Observe factor reset to None
-        self.assertEqual(self.widget.cbStructureFactor.currentText(), STRUCTURE_DEFAULT)
+        # Observe factor doesn't reset to None
+        self.assertEqual(self.widget.cbStructureFactor.currentText(), 'squarewell')
 
         # Switch category to structure factor
@@ -639,5 +639,5 @@
         self.assertEqual(spy.count(), 0)
 
-    def notestPlotData(self):
+    def testPlotData(self):
         """
         See that data item can produce a chart
@@ -649,8 +649,8 @@
         # Set data
         test_data = Data1D(x=[1,2], y=[1,2])
-
+        item = QtGui.QStandardItem()
+        updateModelItem(item, test_data, "test")
         # Force same data into logic
-        self.widget.logic.data = test_data
-        self.widget.data_is_loaded = True
+        self.widget.data = item
 
         # Change the category index so we have a model available
@@ -674,5 +674,5 @@
         self.assertEqual(spy.count(), 1)
 
-    def notestOnEmptyFit(self):
+    def testOnEmptyFit(self):
         """
         Test a 1D/2D fit with no parameters
@@ -687,5 +687,5 @@
         self.widget.cbCategory.setCurrentIndex(category_index)
 
-        #self.widget.show()
+        self.widget.show()
 
         # Test no fitting params
@@ -698,4 +698,5 @@
         self.widget.close()
 
+    def testOnEmptyFit2(self):
         test_data = Data2D(image=[1.0, 2.0, 3.0],
                            err_image=[0.01, 0.02, 0.03],
@@ -708,4 +709,5 @@
         item = QtGui.QStandardItem()
         updateModelItem(item, test_data, "test")
+
         # Force same data into logic
         self.widget.data = item
@@ -723,6 +725,5 @@
         self.assertTrue(logging.error.called_once())
         self.assertTrue(logging.error.called_with('no fitting parameters'))
-        #self.widget.close()
-
+        self.widget.close()
 
     def notestOnFit1D(self):
@@ -853,5 +854,5 @@
         self.assertIn("magnetism.html", self.widget.parent.showHelp.call_args[0][0])
 
-    def notestReadFitPage(self):
+    def testReadFitPage(self):
         """
         Read in the fitpage object and restore state
@@ -859,9 +860,12 @@
         # Set data
         test_data = Data1D(x=[1,2], y=[1,2])
-
+        item = QtGui.QStandardItem()
+        updateModelItem(item, test_data, "test")
         # Force same data into logic
-        self.widget.logic.data = test_data
-        self.widget.data_is_loaded = True
+        self.widget.data = item
+
+        # Force same data into logic
         category_index = self.widget.cbCategory.findText('Sphere')
+
         self.widget.cbCategory.setCurrentIndex(category_index)
         self.widget.main_params_to_fit = ['scale']
@@ -939,5 +943,5 @@
         self.assertTrue(self.widget.tabFitting.isTabEnabled(4))
 
-    def notestCurrentState(self):
+    def testCurrentState(self):
         """
         Set up the fitpage with current state
@@ -945,8 +949,8 @@
         # Set data
         test_data = Data1D(x=[1,2], y=[1,2])
-
+        item = QtGui.QStandardItem()
+        updateModelItem(item, test_data, "test")
         # Force same data into logic
-        self.widget.logic.data = test_data
-        self.widget.data_is_loaded = True
+        self.widget.data = item
         category_index = self.widget.cbCategory.findText("Sphere")
         self.widget.cbCategory.setCurrentIndex(category_index)
@@ -964,5 +968,5 @@
         self.assertListEqual(fp.main_params_to_fit, ['scale'])
 
-    def notestPushFitPage(self):
+    def testPushFitPage(self):
         """
         Push current state of fitpage onto stack
@@ -970,8 +974,8 @@
         # Set data
         test_data = Data1D(x=[1,2], y=[1,2])
-
+        item = QtGui.QStandardItem()
+        updateModelItem(item, test_data, "test")
         # Force same data into logic
-        self.widget.logic.data = test_data
-        self.widget.data_is_loaded = True
+        self.widget.data = item
         category_index = self.widget.cbCategory.findText("Sphere")
 